# Uses of Class
com.logicaldoc.core.searchengine.saved.SavedSearch

Packages that use SavedSearch
Package
Description
com.logicaldoc.core.searchengine.saved
Classes related to saved searches

## Uses of SavedSearch in com.logicaldoc.core.searchengine.saved

Methods in com.logicaldoc.core.searchengine.saved that return SavedSearch
Modifier and Type
Method
Description
`SavedSearch`
HibernateSearchDAO.`findByUserIdAndName(long userId, String name)`
`SavedSearch`
SearchDAO.`findByUserIdAndName(long userId, String name)`
Gets the search using the alternate key
Methods in com.logicaldoc.core.searchengine.saved that return types with arguments of type SavedSearch
Modifier and Type
Method
Description
`List<SavedSearch>`
HibernateSearchDAO.`findByUserId(long userId)`
`List<SavedSearch>`
SearchDAO.`findByUserId(long userId)`
Gets all the searches of a given user ordered by name asc
Methods in com.logicaldoc.core.searchengine.saved with parameters of type SavedSearch
Modifier and Type
Method
Description
`int`
SavedSearch.`compareTo(SavedSearch other)`
`void`
HibernateSearchDAO.`store(SavedSearch search)`
Constructors in com.logicaldoc.core.searchengine.saved with parameters of type SavedSearch
Modifier
Constructor
Description
``
`SavedSearch(SavedSearch source)`